#include <bits/stdc++.h>
using namespace std;
int main()
{
   long a[100000],n,i,dem=0;
   ifstream f1("DEMDUONG.INP");
   f1>>n;
   for(i=0;i<n;i++)
   {
      f1>>a[i];
   }
   f1.close();
   long long s=0;
   for(i=0;i<n;i++)
   {
      if(a[i]>0){
      dem++;
      s+=a[i];
      }
   }
   ofstream f2("DEMDUONG.OUT");
   f2<<dem<<" "<<s;
   f2.close();
}
